## This is an example external configuration.
## Any config variable found in the dynamic configuration section in the main
## code file can be reset here. Below I have listed the ones that are really
## useful to set in an external config. The other ones should really be kept
## globally. For description of these please refer to the main code.
## If a correct authentication has been done, then the !username! variable
## will be replaced by the authenticated username.
## Note that you can remove all lines with variables you don't want to alter.

$config{'config_user'} = 0;
$config{'ssl'} = 0;
$config{'authentication'} = 0;
$config{'suid'} = 0;
$config{'only_true_web_server_retrieval'} = 1;
$config{'base_url'} = 'http://127.0.0.1/';
$config{'base_dir'} = '/home/httpd/html/127.0.0.1/';
$config{'symlink_security'} = 1;
$config{'frames'} = 1;
$config{'list_checkbox'} = 1;
$config{'list_icon'} = 1;
$config{'list_name'} = 1;
$config{'list_size'} = 1;
$config{'list_time'} = 1;
$config{'list_description'} = 0;
$config{'action_icon'} = 1;
$config{'action_name'} = 1;
$config{'enable_edit'} = 1;
$config{'enable_copy'} = 1;
$config{'enable_rename'} = 1;
$config{'enable_move'} = 1;
$config{'enable_delete'} = 1;
$config{'enable_describe'} = 0;
$config{'enable_upload'} = 1;
$config{'enable_mkdir'} = 1;
$config{'enable_filter'} = 0;
$config{'enable_help'} = 0,
$config{'edit_maximum_size'} = 60000;
$config{'enable_copy_recursively'} = 1;
$config{'enable_delete_recursively'} = 1;
$config{'enable_upload_description'} = 0;
$config{'return_to_maked_directory'} = 1;
$config{'description_filename'} = 'descript.ion';
$config{'enable_local_frame'} = 0;
$config{'local_frame_src'} = 'http://127.0.0.1/drall/frame.html';
$config{'local_frame_size'} = '40';
$config{'local_frame_resize'} = 0;
$config{'local_frame_scrolling'} = 0;
$config{'script_retrieval_unknown_mime_type'} = 'application/octet-stream';
$config{'script_retrieval_always_unknown'} = 0;
$config{'filemode'} = 0644;
$config{'dirmode'} = 0755;
$config{'title_default'} = 'Drall';
$config{'title_authenticated'} = 'Drall for !username!';
$config{'color_background'} = '#ffffff';
$config{'color_text'} = '#000000';
$config{'color_link'} = '#0000ff';
$config{'advertise'} = 1;

1;
